[project]
name = "BowongModalFunctions"
version = "0.1.8"
authors = [
    { name = "Yudi Xiao", email = "xyd@bowong.ai" },
]
description = "Bowong modal云函数以及对于的FastAPI接口"
readme = "src/BowongModalFunctions/readme.md"
requires-python = ">=3.11"
dependencies = [
    "fastapi[standard]>=0.115.12",
    "backoff>=2.2.1",
    "crcmod>=1.7",
    "loguru>=0.7.3",
    "httpx>=0.28.1",
    "pydantic>=2.11.3",
    "pydantic-settings>=2.9.1",
    "webvtt-py>=0.5.1",
    "soundfile>=0.13.1",
    "pyloudnorm>=0.1.1",
    "noisereduce>=3.0.3",
    "pedalboard==0.9.2",
    "python-ffmpeg>=2.0.12",
    "sentry-sdk[loguru]>=2.26.1",
    "tencentcloud-sdk-python-common>=3.0.1363",
    "tencentcloud-sdk-python-vod>=3.0.1363",
    "cos-python-sdk-v5>=1.9.36",
    "boto3>=1.37.37",
    "psutil>=7.0.0",
    "scalar-fastapi>=1.0.3",
    "modal>=1.0.3",
    "python-dotenv>=1.1.0",
    "python-multipart>=0.0.20",
    "m3u8>=6.0.0",
    "aiofiles==23.2.1",
    "annotated-types==0.6.0",
    "anyio>=4.8.0",
    "browser-cookie3==0.19.1",
    "certifi==2024.2.2",
    "click==8.1.7",
    "colorama==0.4.6",
    "h11==0.14.0",
    "idna==3.7",
    "importlib_resources==6.4.0",
    "lz4==4.3.3",
    "markdown-it-py==3.0.0",
    "mdurl==0.1.2",
    "numpy",
    "pycryptodomex==3.20.0",
    "pydantic_core",
    "Pygments==2.17.2",
    "pypng==0.20220715.0",
    "pywebio==1.8.3",
    "pywebio-battery==0.6.0",
    "PyYAML==6.0.1",
    "qrcode==7.4.2",
    "rich==13.7.1",
    "sniffio==1.3.1",
    "tornado==6.4",
    "ua-parser==0.18.0",
    "user-agents==2.2.0",
    "websockets>=12.0",
    "gmssl==3.2.2",
    "tenacity",
    "retry>=0.9.2",
    "ffmpy>=0.5.0",
    "watchdog>=6.0.0",
    "pyfiglet>=1.0.3",
    "google-api-python-client>=2.172.0",
    "google-genai==1.21.0",
    "langfuse>=3.0.3",
    "jinja2>=3.1.6",
]
classifiers = [
    "Programming Language :: Python :: 3",
    "Operating System :: OS Independent",
    "Development Status :: 2 - Pre-Alpha"
]

[project.optional-dependencies]
cli = [
    "gunicorn>=23.0.0",
    "twine>=6.1.0",
    "uvicorn[standard]>=0.34.2",
]

[build-system]
requires = ["hatchling >= 1.26"]
build-backend = "hatchling.build"

[tool.hatch.version]
path = "src/BowongModalFunctions/__init__.py"

[tool.hatch.build.targets.wheel]
packages = ["src/BowongModalFunctions", "src/Douyin_TikTok_Download_API"]
sources = ["src"]
only-packages = true
require-runtime-dependencies = true

